<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:p="http://www.springframework.org/schema/p"
    xsi:schemaLocation="http://www.springframework.org/schema/beans
        http://www.springframework.org/schema/beans/spring-beans.xsd">

    <bean class="me.chyxion.tigon.webmvc.JSONViewConfig" />
    <bean class="me.chyxion.tigon.webmvc.util.ResponseTool" />
    <bean class="me.chyxion.tigon.webmvc.TigonControllerAspect" />
    <bean class="me.chyxion.tigon.webmvc.TigonControllerAdvice" />
    <bean class="me.chyxion.tigon.webmvc.exception.BindingResultResolver" />
    <bean class="me.chyxion.tigon.webmvc.exception.ConstraintViolationExceptionResolver" />
    <bean class="me.chyxion.tigon.webmvc.exception.BaseExceptionResolver" />
    <bean class="me.chyxion.tigon.webmvc.exception.DefaultExceptionResolver" />
    <bean class="me.chyxion.tigon.webmvc.DefaultViewResolver" p:order="64" />

    <bean class="org.springframework.validation.beanvalidation.MethodValidationPostProcessor" />
    <bean id="validator" class="org.springframework.validation.beanvalidation.LocalValidatorFactoryBean">
        <property name="validationMessageSource">
            <bean class="org.springframework.context.support.ReloadableResourceBundleMessageSource"
                  p:fallbackToSystemLocale="true"
                  p:useCodeAsDefaultMessage="false"
                  p:defaultEncoding="UTF-8">
                <property name="basenames">
                    <list>
                        <value>classpath:i18n/messages</value>
                    </list>
                </property>
            </bean>
        </property>
    </bean>
</beans>